Subject: Re: [Pce] New requirements for draft-lee-pce-wson-rwa-ext

From: Leeyoung <[email-masked]>
Date: Sun, 30 Oct 2011 20:41:44 +0000

Hi Oscar and Cyril,

I think what Oscar brought up are legitimate requirements for RWA. I tend to agree with Cyril's suggestion on how to encode for the requirements. 

Unless there is objection on these new requirements, I will update the PCE Requirement for WSON RWA at the minimum and the PCEP Extension for RWA as well if I meet the deadline tomorrow. Thanks.

Young

-----Original Message-----
From: Margaria, Cyril (NSN - DE/Munich) [mailto:[email-masked]] 
Sent: Friday, October 28, 2011 9:12 AM
To: ext Oscar González de Dios; ext Ramon Casellas; Leeyoung
Cc: [email-masked]
Subject: RE: New requirements for draft-lee-pce-wson-rwa-ext

Hi Oscar, editors.

I thinks there is two aspects : 
	 - force continuous wavelength : this can be done in the WA object: 

*  C (Continuity - 1 bits): C bit is used to indicate that the
   wavelength assignment MUST return a continuous lambda in the
   ERO.  This is useful in case of 3R were wavelength conversion
   MAY happen.  This Flag forbid wavelength conversion.

The same lambda on working and protecting max be considered as a SVEC extension:
SVEC now has the Link, Node, SRLG diverse flags. 
It could be extended to Link, Node, Label sharing flags : 
  When set this indicates that the
 computed paths corresponding to the requests specified by the
 following RP objects MUST have at least one Link, Node or Label in common. 
 The PCE MUST try to maximize the number of common link, node and labels

Would those two mechanism fulfill your req.?

Best regards / Mit freundlichen Grüßen
Cyril Margaria

> -----Original Message-----
> From: ext Oscar González de Dios [mailto:[email-masked]]
> Sent: Thursday, October 27, 2011 5:45 PM
> To: Margaria, Cyril (NSN - DE/Munich); ext Ramon Casellas; Leeyoung
> Cc: [email-masked]
> Subject: New requirements for draft-lee-pce-wson-rwa-ext
> 
> Hi all,
> 
>         I have some new requirements for the draft, that I would like
> them to be included if possible:
> 
>         - When requesting a 1+1 connection (e.g. link disjoint paths),
> you should be able to request that both paths use the same wavelength.
> This is extremely useful in the case of protection with single
> transponder. Now, there is no way to specify such constraint.
> 
>         - When performing 3R, you may change or not wavelength. You
> should be able to specify such policy per request.
> 
>         Best Regards,
> 
>                 ÓScar
> 
> 
> 
> Este mensaje se dirige exclusivamente a su destinatario. Puede
> consultar nuestra política de envío y recepción de correo electrónico
> en el enlace situado más abajo.
> This message is intended exclusively for its addressee. We only send
> and receive email on the basis of the terms set out at.
> http://www.tid.es/ES/PAGINAS/disclaimer.aspx